| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | Static Public Member Functions | List of all members
Digikam::MetaEngineSettings Class Reference
Inheritance diagram for Digikam::MetaEngineSettings:

## Signals
void | signalMetaEngineSettingsChanged (const MetaEngineSettingsContainer &current, const MetaEngineSettingsContainer &previous)
void | signalSettingsChanged ()

## Public Member Functions
bool | exifRotate () const
| Shortcut to get exif rotation settings from container.
bool | isMetadataWriteEnabled () const
| Shortcut to get if metadata write using one option is enabled.
void | setSettings (const MetaEngineSettingsContainer &settings)
| Sets the current Metadata settings and writes them to config.
MetaEngineSettingsContainer | settings () const
| Returns the current Metadata settings.

## Static Public Member Functions
static MetaEngineSettings * | instance ()
| Global container for Metadata settings.

## Member Function Documentation

## ◆ instance()

MetaEngineSettings * Digikam::MetaEngineSettings::instance | ( |  | ) |
| static

All accessor methods are thread-safe.